### Method

# Ide Snippet get_language

#### Declaration

    const gchar*
    ide_snippet_get_language (
      IdeSnippet* self
    )

#### Description

Gets the language used for the source snippet.

The language identifier matches the `GtkSourceLanguage:id` property.

Available since: | 3.32

Gets property | `Ide.Snippet:language`

#### Return value

Returns: | `const gchar*`
| The language identifier.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.